AnyEvent::FTP::Server::Context::FS(3pm)

NAME
AnyEvent::FTP::Server::Context::FS - FTP server context that uses real file system (no transfers)

VERSION
version 0.20

SYNOPSIS
 use AnyEvent::FTP::Server;

 my $server = AnyEvent::FTP::Server->new(
   default_context => 'AnyEvent::FTP::Server::Context::FS',
 );

DESCRIPTION
This is the base class for AnyEvent::FTP::Server::Context::FSRO and AnyEvent::FTP::Server::Context::FSRW.

ROLES
This class consumes these roles:

•   AnyEvent::FTP::Server::Role::Auth

•   AnyEvent::FTP::Server::Role::Help

•   AnyEvent::FTP::Server::Role::Old

•   AnyEvent::FTP::Server::Role::Type

ATTRIBUTES

  cwd
 my $dir = $context->cwd;

The current working directory as a string.

  rename_from
 my $filename = $context-E<gt>rename_from;

The filename specified by the last FTP "RNFR" command.

COMMANDS
In addition to the commands provided by the above roles, this context provides these FTP commands:

CWD
CDUP
PWD
SIZE
MKD
RMD
DELE
RNFR
RNTO
STAT

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Ryo Okamoto

Shlomi Fish

José Joaquín Atria

COPYRIGHT AND LICENSE
This software is copyright (c) 2017-2022 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.